{
  "name": "events-helsinki-ui",
  "version": "0.3.13",
  "private": true,
  "dependencies": {
    "@datapunt/matomo-tracker-react": "^0.2.1",
    "@sentry/browser": "^5.14.2",
    "@types/classnames": "^2.2.9",
    "@types/express": "^4.17.1",
    "@types/faker": "^5.1.0",
    "@types/file-saver": "^2.0.1",
    "@types/jsdom": "^16.2.3",
    "@types/lodash": "^4.14.145",
    "@types/node": "^14.11.2",
    "@types/node-cron": "^2.0.3",
    "@types/query-string": "^6.3.0",
    "@types/react": "16.9.49",
    "@types/react-datepicker": "^2.9.3",
    "@types/react-dom": "16.9.8",
    "@types/react-gtm-module": "^2.0.0",
    "@types/react-helmet": "^5.0.13",
    "@types/react-router": "^5.1.2",
    "@types/react-router-dom": "^5.1.0",
    "@types/react-scroll": "^1.5.5",
    "@types/sanitize-html": "^1.20.2",
    "@types/serialize-javascript": "^1.5.0",
    "apollo-cache": "^1.3.4",
    "apollo-cache-inmemory": "^1.6.5",
    "apollo-client": "^2.6.8",
    "apollo-link": "^1.2.13",
    "apollo-link-batch-http": "^1.2.13",
    "apollo-link-error": "^1.1.12",
    "apollo-link-http": "^1.5.16",
    "apollo-link-persisted-queries": "^0.2.2",
    "apollo-utilities": "^1.3.3",
    "babel-loader": "^8.1.0",
    "babel-plugin-named-asset-import": "^0.3.4",
    "canvas": "^2.6.1",
    "classnames": "^2.2.6",
    "copy-to-clipboard": "^3.2.0",
    "date-fns": "^2.7.0",
    "date-fns-tz": "^1.0.10",
    "eslint-plugin-testcafe": "^0.2.1",
    "express": "^4.17.1",
    "faker": "^5.1.0",
    "file-saver": "^2.0.2",
    "graphql": "^14.5.8",
    "graphql-tag": "^2.10.3",
    "hds-core": "0.13.3",
    "hds-react": "0.13.3",
    "i18next": "^19.8.3",
    "i18next-browser-languagedetector": "^6.0.1",
    "i18next-express-middleware": "^2.0.0",
    "ics": "^2.18.0",
    "isomorphic-fetch": "^2.2.1",
    "jsdom": "^16.2.2",
    "node-cron": "^2.0.3",
    "node-sass": "^4.13.0",
    "query-string": "^6.9.0",
    "react": "^16.13.1",
    "react-apollo": "^3.1.3",
    "react-apollo-hooks": "^0.5.0",
    "react-datepicker": "^2.9.6",
    "react-dom": "^16.13.1",
    "react-gtm-module": "^2.0.11",
    "react-helmet": "6.0.0-beta.2",
    "react-i18next": "^11.7.3",
    "react-router": "^5.1.2",
    "react-router-dom": "^5.1.2",
    "react-scripts": "^3.4.3",
    "react-scroll": "^1.8.1",
    "react-toastify": "^6.0.9",
    "sanitize-html": "^1.20.1",
    "serialize-javascript": "^3.1.0",
    "typescript": "3.9.3",
    "use-deep-compare-effect": "^1.4.0",
    "webpack": "4.42.0",
    "webpack-cli": "^3.3.12",
    "xml-js": "^1.6.11"
  },
  "scripts": {
    "start": "react-scripts start",
    "start:server": "node build/server.js",
    "build": "yarn build:client && yarn build:server",
    "build:client": "react-scripts build",
    "build:server": "NODE_ENV=production webpack --progress --mode production --config config/webpack.server.config.js",
    "codegen": "graphql-codegen -r dotenv/config dotenv_config_path=.env.development.local  --config codegen.yml",
    "test": "react-scripts test --env=jest-environment-jsdom-sixteen",
    "test:staged": "react-scripts test --env=jest-environment-jsdom-sixteen --watchAll=false --findRelatedTests",
    "test:coverage": "react-scripts test --coverage --env=jest-environment-jsdom-sixteen --watchAll=false",
    "test:debug": "react-scripts --inspect-brk test --runInBand --no-cache",
    "browser-test": "testcafe \"chrome --window-size='1920,1080'\" testcafe/e2e/",
    "browser-test:local": "BROWSER_TEST_ENV=local yarn browser-test",
    "browser-test:ci": "testcafe \"chrome:headless --disable-gpu --window-size='1920,1080'\" testcafe/e2e/",
    "lint": "eslint --ext js,ts,tsx src",
    "format-code": "eslint --ext js,ts,tsx src --fix --max-warnings=0"
  },
  "eslintConfig": {
    "extends": "react-app"
  },
  "browserslist": {
    "production": [
      ">0.2%",
      "not dead",
      "not op_mini all"
    ],
    "development": [
      "last 1 chrome version",
      "last 1 firefox version",
      "last 1 safari version"
    ]
  },
  "devDependencies": {
    "@apollo/react-testing": "^3.1.3",
    "@graphql-codegen/cli": "^1.9.1",
    "@graphql-codegen/typescript": "1.9.1",
    "@graphql-codegen/typescript-operations": "1.9.1",
    "@graphql-codegen/typescript-react-apollo": "1.9.1",
    "@testing-library/dom": "^7.22.1",
    "@testing-library/jest-dom": "^5.11.2",
    "@testing-library/react": "^10.4.8",
    "@testing-library/react-hooks": "^3.4.1",
    "@testing-library/testcafe": "^4.2.3",
    "@testing-library/user-event": "^12.1.1",
    "@types/enzyme": "^3.10.3",
    "@types/enzyme-adapter-react-16": "^1.0.5",
    "@types/jest": "^24.0.22",
    "@types/jest-axe": "^3.5.0",
    "@typescript-eslint/eslint-plugin": "^3.10.1",
    "@typescript-eslint/parser": "^3.10.1",
    "apollo-link-mock": "^1.0.1",
    "eslint": "^6.8.0",
    "eslint-config-airbnb": "^18.1.0",
    "eslint-config-prettier": "^6.11.0",
    "eslint-config-react-app": "^5.0.2",
    "eslint-plugin-flowtype": "^3.13",
    "eslint-plugin-import": "^2.18.2",
    "eslint-plugin-jsx-a11y": "^6.2.3",
    "eslint-plugin-prettier": "^3.1.4",
    "eslint-plugin-react": "^7.16.0",
    "eslint-plugin-react-hooks": "^1.7",
    "eslint-plugin-simple-import-sort": "^5.0.2",
    "husky": "^4.3.6",
    "jest-axe": "^3.5.0",
    "jest-date-mock": "^1.0.8",
    "jest-environment-jsdom-sixteen": "^1.0.3",
    "lint-staged": "^10.5.3",
    "prettier": "^2.1.1",
    "react-test-renderer": "^16.13.1",
    "testcafe": "^1.9.3",
    "waait": "^1.0.5"
  },
  "jest": {
    "collectCoverageFrom": [
      "src/**/*.{ts,tsx}"
    ],
    "coveragePathIgnorePatterns": [
      "/node_modules/",
      "/__snapshots__/",
      "/icons/",
      "mutation.ts",
      "query.ts",
      "types.ts",
      ".*stories.tsx",
      "src/index.tsx",
      "src/setupTests.ts",
      "src/common/translation/i18n/config.tsx",
      "src/common/translation/i18n/init.client.tsx",
      "src/common/translation/i18n/init.server.tsx",
      "src/domain/app/apollo/apolloClient.ts",
      "src/generated/graphql.tsx",
      "src/server/assets.ts",
      "src/server/index.ts",
      "src/util/getDomain.ts",
      "src/util/getDomainFromRequest.ts",
      "src/util/scrollToTop.ts",
      "src/util/mockDataUtils.ts",
      "src/util/testImage.ts",
      "src/util/testUtils.tsx",
      "src/util/updateSitemap.ts",
      "src/util/date-fns/locale/buildLocalizeFn.ts"
    ]
  }
}
